Bug 214683 - enabling winbind should NOT add entrires to everything in /etc/nsswitch.conf
Summary: enabling winbind should NOT add entrires to everything in /etc/nsswitch.conf
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: authconfig   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-08 21:01 UTC by Jeff Moyer
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 16:05:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Moyer 2006-11-08 21:01:23 UTC
Description of problem:
Enabling winbind will cause a "winbind" source to be added to, among other
things, the automount line in /etc/nsswitch.conf.  This causes problems, since
autofs doesn't actually support winbind.

Additionally, nss_winbind doesn't support anything other than user and group
lookup, so it really doesn't make sense to add winbind to lines other than those.

Version-Release number of selected component (if applicable):
3.0.23c-2

How reproducible:
100%

Steps to Reproduce:
1. Enabled winbind in authconfig
2. Check /etc/nsswitch.conf

Actual results:
winbind is enabled for more than just user/group

Expected results:
winbind should only be enabled for user/group

Additional info:

This is likely also a bug in the devel branch and the RHEL 5 branch.

Comment 1 Fedora Update System 2006-11-30 15:31:29 UTC
authconfig-5.3.12-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.